package dk.nsp.idsas.service;

import javax.sql.DataSource;

import dk.sundhedsdatastyrelsen.identitetssloering._2023._06._01.CreateBlurringRequestType;
import org.springframework.beans.factory.annotation.Autowired;

import dk.nsp.idsas.dao.BlurringDao;
import dk.nsp.idsas.dao.CreateBlurringRequestTypeMapper;
import dk.nsp.idsas.dao.entity.BlurringEntity;
import dk.nsp.idsas.security.model.IdsasActor;

public class BlurringService {

    @Autowired
    protected DataSource dataSource;

    public void createBlurring(CreateBlurringRequestType createBlurringRequest, IdsasActor actor) {
        BlurringEntity entity = CreateBlurringRequestTypeMapper.toBlurringEntity(createBlurringRequest, actor);
        BlurringDao blurringDao = new BlurringDao(dataSource);
        blurringDao.insert(entity);
    }
}
