# Brugerhistorier: https://www.nspop.dk/pages/viewpage.action?pageId=203267140

Feature: Test af oprettelse af sløring

  Scenario: Som en systembruger
    When en "systembruger" opretter en slørring for en borger med CPR "0102031234"
    Then så bliver slørringen oprettet

  Scenario: Som en systembruger, med forkert clientName
    When en "systembruger" opretter en slørring for en borger med CPR "0102031234"
     And der laves lookup på "0102031234", med clientName "hejsa", for at sem om der er en slørring
    Then så fejler lookup med fejl på clientName "hejsa"

  Scenario: Som en sundhedsfaglig
    When en "sundhedsfaglig" opretter en slørring for en borger med CPR "0102031234"
    Then så bliver slørringen oprettet

  Scenario: Som en borger
    When en "borger" opretter en slørring for en borger med CPR "0102031234"
    Then så fejler oprettelsen af slørringen med forkert brugertype

  Scenario: Som en systembruger
    When en "systembruger" opretter en slørring for en borger med CPR "0102031234", som udløb i går
    Then så har "0102031234" ikke længere aktuelle slørring over for det cvr-nummer

  Scenario: Ugyldigt cpr
    When en "systembruger" opretter en slørring for en borger med CPR "9999999999"
    Then så fejler oprettelsen af slørringen med ugyldigt CPR "9999999999"



  # - Forlænge slørring: Kan ikke testes i integrationstests
  # - Forkorte slørring: Kan ikke testes i integrationstests